//<vertex>
	void main()
	{
		gl_Position = ftransform();
		gl_TexCoord[0] = gl_MultiTexCoord0;
	}
//</vertex>

//<fragment>
	uniform sampler2D samImage;
	uniform mat4 matGeometry;

	void main()
	{
		float fDepth = texture2D(samImage,gl_TexCoord[0].xy).z;

		vec4 vecPosition;
		vecPosition = vec4(gl_TexCoord[0].x,gl_TexCoord[0].y,fDepth,1.0);
		vecPosition.xyz = 2.0 * vecPosition.xyz - 1.0;

		vec4 vecVertex = matGeometry*vecPosition;
		vecVertex /= vecVertex.w;

		gl_FragColor.rgb = vecVertex.rgb;
		gl_FragColor.a = fDepth;
		gl_FragDepth = fDepth;
	}
//</fragment>
