//<vertex>
  uniform mat4 matTexture;

  void main()
  {
	  gl_Position = ftransform();
	  vec4 vecPositionEye = gl_ModelViewMatrix * gl_Vertex;
	  gl_ClipVertex = vecPositionEye;
	  gl_TexCoord[0] = matTexture*vecPositionEye;
  }
//</vertex>

//<fragment>
	void main()
	{
		gl_FragColor.rgb = gl_TexCoord[0].xyz;
		gl_FragColor.a = gl_FragCoord.z;
	}
//</fragment>